get
https://api.giift.cloud/lbms-ingress/transaction-lm/API/Transaction/PollTransactionBatchStatus?pintProgramId=-1-1&batch_id=
Returns aggregate counts and per-request status (including points where applicable).
Recent Requests
Log in to see full request history
| Time | Status | User Agent | |
|---|---|---|---|
Retrieving recent requests… | |||
Loading…
Polling Transaction Request
PollTransactionBatchStatus until pending is 0 or timeout per your SLA. "batch_id" returned by request after inserting transaction through API InsertTransactionDataV2.
Example Response:
{
"results": {
"IsSucessful": true,
"ErrorCode": "000"
,
"ExceptionMessage": "Success"
,
"ReturnObject": {
"batch_id": "fdf59c58-9192-4e33-9880-8ea5b33fdb42_20260403173545698",
"summary": {
"total": 5,
"success": 1,
"failed": 1,
"pending": 1,
"on_hold": 1,
"partial_hold": 1
},
"results": [
{
"request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d90265715fe",
"status": "SUCCESS",
"points": 50,
"message": null
},
{
"request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657168e",
"status": "FAILED",
"error": "Validation Failed (Processing Failed)"
},
{
"request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657178e",
"status": "ON HOLD",
"message": "All rewards hit anomaly threshold configured for the program"
},
{
"request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657198e",
"status": "PARTIAL HOLD",
"points": 20,
"message": "Some rewards hit anomaly threshold configured for the program"
},
{
"request_id": "52b604a62ae8f7fca84f30ba397e57545c8d143c4fde84fd4ff87d902657108e",
"status": "PENDING",
"message": null
}
]
},
"Count": 0
}
}Error Codes:
| Code | Description |
|---|---|
| 000 | Success |
| 006 | Specific error code |
| 400 | Bad Request |
401401
